<!DOCTYPE html>
<html>
        <head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>ReadSale PHP Page</title>
		<style type="text/css">
			h1 {text-align: center; color: blue}
			h2 {font-family: Ariel, sans-serif; text-align: left; color: blue}
			p.footer {text-align: center}
			table.output {font-family: Ariel, sans-serif}
		</style>
	</head>
	<body>
	<?php
		// Get connection
		$Conn = odbc_connect('QACS', 'QACS-User','QACS-User+password');
	
		// Test connection
		if (!Conn)
	    	{
	        	exit ("ODBC Connection Failed: " . $Conn);
	    	}
		// Create SQL statement
    	$SQL = "SELECT * FROM SALE";
 
    	// Execute SQL statement
    	$RecordSet = odbc_exec($Conn,$SQL);
    
    	// Test existence of recordset
    	if (!$RecordSet)
	    	{
	        	exit ("SQL Statement Error: " . $SQL);
	    	}
	?>
	    <!--  Page Headers -->
	    <h1>
	   		The Queen Anne Curiosity Shop SALE Table
		</h1>
	    <hr />
	    <h2>
	        SALE
		</h2>
	<?php	  
		// Table headers
	    echo "<table class='output' border='1'>
	    		<tr>
	    			<th>SaleID</th>
	    			<th>CustomerID</th>
	    			<th>EmployeeID</th>
	    			<th>SaleDate</th>
	    			<th>SubTotal</th>
	    			<th>Tax</th>
	    			<th>Total</th>
	    		</tr>";
	    
	    // Table data
	    while($RecordSetRow = odbc_fetch_array($RecordSet))
	    	{
	    	echo "<tr>";
	    	echo "<td>" . $RecordSetRow['SaleID'] . "</td>";
	    	echo "<td>" . $RecordSetRow['CustomerID'] . "</td>";
	    	echo "<td>" . $RecordSetRow['EmployeeID'] . "</td>";
	    	echo "<td>" . $RecordSetRow['SaleDate'] . "</td>";
	    	echo "<td>" . $RecordSetRow['SubTotal'] . "</td>";
	    	echo "<td>" . $RecordSetRow['Tax'] . "</td>";
	    	echo "<td>" . $RecordSetRow['Total'] . "</td>";
	    	echo "</tr>";
	    	}
	    echo "</table>";
	    
	    // Close connection
	    odbc_close($Conn);
	?>
		<br />
		<hr />
		<p class="footer">
			<a href="../QACS/index.html">Return to The Queen Anne Curiosity Shop Home Page</a>
		</p>
		<hr />
    </body>
</html>